org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmEntityTypeImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl
  - - org.apache.olingo.odata2.client.core.edm.Impl.EdmStructuralTypeImpl
    - - org.apache.olingo.odata2.client.core.edm.Impl.EdmEntityTypeImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmEntityType, EdmMappable, EdmNamed, EdmStructuralType, EdmType

      public class EdmEntityTypeImpl
      extends EdmStructuralTypeImpl
      implements EdmEntityType

  Objects of this class represent EdmEntityType

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmStructuralTypeImpl

      `edmBaseType, namespace, structuralType`

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `edm, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmEntityTypeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmEntityType` | `getBaseType()` Base types are described in the OData protocol specification.
    `FullQualifiedName` | `getBaseTypeName()`
    `EdmCustomizableFeedMappings` | `getCustomizableFeedMappings()` Gets the Customizable Feed Mappings of the entity type.
    `List<EdmProperty>` | `getKeyProperties()` Get all key properties as list of `EdmProperty`.
    `List<String>` | `getKeyPropertyNames()` Gets all key property names.
    `List<String>` | `getNavigationPropertyNames()` Gets all navigation property names.
    `protected EdmTyped` | `getPropertyInternal(String name)`
    `boolean` | `hasStream()` Indicates if the entity type is treated as Media Link Entry with associated Media Resource.
    `void` | `setAbstract(boolean isAbstract)`
    `void` | `setBaseType(FullQualifiedName baseType)`
    `void` | `setCustomizableFeedMappings(EdmCustomizableFeedMappings edmCustomizableFeedMappings)`
    `void` | `setEdmKeyProperties(List<EdmProperty> edmKeyProperties)`
    `void` | `setEdmKeyPropertyNames(List<String> edmKeyPropertyNames)`
    `void` | `setEdmNavigationPropertyNames(List<String> edmNavigationPropertyNames)`
    `void` | `setHasStream(boolean hasStream)`
    `void` | `setNavigationProperties(List<EdmNavigationProperty> navigationProperties)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmStructuralTypeImpl

      `getAnnotations, getEdmBaseType, getEdmTypeKind, getKind, getMapping, getNamespace, getProperties, getProperty, getPropertyNames, getStructuralType, setAnnotations, setEdmBaseType, setEdmPropertyNames, setEdmTypeKind, setNamespace, setProperties, setStructuralType`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `getName, setEdm, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmStructuralType

      `getProperty, getPropertyNames`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmMappable

      `getMapping`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmType

      `getKind, getNamespace`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmAnnotatable

      `getAnnotations`

- - ### Constructor Detail

    - #### EdmEntityTypeImpl

          public EdmEntityTypeImpl()

  - ### Method Detail

    - #### setBaseType

          public void setBaseType(FullQualifiedName baseType)

    - #### setAbstract

          public void setAbstract(boolean isAbstract)

    - #### setEdmKeyProperties

          public void setEdmKeyProperties(List<EdmProperty> edmKeyProperties)

    - #### setNavigationProperties

          public void setNavigationProperties(List<EdmNavigationProperty> navigationProperties)

    - #### setEdmNavigationPropertyNames

          public void setEdmNavigationPropertyNames(List<String> edmNavigationPropertyNames)

    - #### setHasStream

          public void setHasStream(boolean hasStream)

    - #### getKeyPropertyNames

          public List<String> getKeyPropertyNames()
                                           throws EdmException

      Description copied from interface: `EdmEntityType`
      Gets all key property names.
      Specified by:
        `getKeyPropertyNames` in interface `EdmEntityType`
      Returns:
        collection of key property names of type List
      Throws:
        `EdmException`

    - #### setEdmKeyPropertyNames

          public void setEdmKeyPropertyNames(List<String> edmKeyPropertyNames)

    - #### getKeyProperties

          public List<EdmProperty> getKeyProperties()
                                             throws EdmException

      Description copied from interface: `EdmEntityType`
      Get all key properties as list of `EdmProperty`.
      Specified by:
        `getKeyProperties` in interface `EdmEntityType`
      Returns:
        collection of key properties of type List
      Throws:
        `EdmException`

    - #### hasStream

          public boolean hasStream()
                            throws EdmException

      Description copied from interface: `EdmEntityType`
      Indicates if the entity type is treated as Media Link Entry with associated Media Resource.
      Specified by:
        `hasStream` in interface `EdmEntityType`
      Returns:
        `true` if the entity type is a Media Link Entry
      Throws:
        `EdmException`

    - #### getCustomizableFeedMappings

          public EdmCustomizableFeedMappings getCustomizableFeedMappings()
                                                                  throws EdmException

      Description copied from interface: `EdmEntityType`
      Gets the Customizable Feed Mappings of the entity type.
      Specified by:
        `getCustomizableFeedMappings` in interface `EdmEntityType`
      Returns:
        `EdmCustomizableFeedMappings`
      Throws:
        `EdmException`

    - #### getNavigationPropertyNames

          public List<String> getNavigationPropertyNames()
                                                  throws EdmException

      Description copied from interface: `EdmEntityType`
      Gets all navigation property names.
      Specified by:
        `getNavigationPropertyNames` in interface `EdmEntityType`
      Returns:
        collection of navigation properties of type List
      Throws:
        `EdmException`

    - #### getBaseType

          public EdmEntityType getBaseType()
                                    throws EdmException

      Description copied from interface: `EdmStructuralType`
      Base types are described in the OData protocol specification.
      Specified by:
        `getBaseType` in interface `EdmEntityType`
      Specified by:
        `getBaseType` in interface `EdmStructuralType`
      Overrides:
        `getBaseType` in class `EdmStructuralTypeImpl`
      Returns:
        `EdmStructuralType`
      Throws:
        `EdmException`

    - #### getBaseTypeName

          public FullQualifiedName getBaseTypeName()
                                            throws EdmException

      Throws:
        `EdmException`

    - #### getPropertyInternal

          protected EdmTyped getPropertyInternal(String name)
                                          throws EdmException

      Overrides:
        `getPropertyInternal` in class `EdmStructuralTypeImpl`
      Throws:
        `EdmException`

    - #### setCustomizableFeedMappings

          public void setCustomizableFeedMappings(EdmCustomizableFeedMappings edmCustomizableFeedMappings)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EdmStructuralTypeImpl`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.